Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the task.

commentId
string
required

The id of the comment to be retrieved.

Response

Request successful.

id
string | null

The id of the task comment.

userId
string | null

The id of the user who created the comment.

taskId
string | null

The id of the task to which the comment belongs.

processInstanceId
string | null

The id of the process instance the comment is related to.

time
string<date-time> | null

The time when the comment was created. Default format [blocked] yyyy-MM-dd'T'HH:mm:ss.SSSZ.

message
string | null

The content of the comment.

removalTime
string<date-time> | null

The time after which the comment should be removed by the History Cleanup job. Default format [blocked] yyyy-MM-dd'T'HH:mm:ss.SSSZ.

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process containing the task.

The links associated to this resource, with method, href and rel.